- Home
- API Enriched
- Billing And Usage
- web
- List hourly usage details.
List hourly usage details.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/hourly_usage_details';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","query":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/hourly_usage_details \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "query": "example" }'List the usage divided by hour. The usage is hourly aggregated, from the start of UTC hour to the end of UTC hour. It is used to see the detailed breakdown of the usage received from ListUsageDetails.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request body for ListHourlyUsageDetails rpc method.
object
Namespace
Encoded query which is passed as is to barracute daemon.
Examplegenerated
{ "namespace": "example", "query": "example"}Responses
Section titled “Responses”A successful response.
Response body for ListHourlyUsageDetails rpc method.
object
Array of usage by hour in the period from the query.
One line of usage by an hour. One hour as the least resolution.
object
Container name if this item correspond to the container usage. Otherwise it’s empty.
[x-required] Deployment name if this item correspond to the container usage. Otherwise it’s empty.
End of the time unit.
Quantity incurred.
Beginning of the time unit.
Name of the quantity unit.
Examplegenerated
{ "hourly_usage_items": [ { "container": "example", "deployment": "example", "end_timestamp": "2026-04-15T12:00:00Z", "quantity": 1, "start_timestamp": "2026-04-15T12:00:00Z", "unit_name": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example